# Setup Keepalived VIP with Ansible

# Usage

Every thing you need to setup to configure VIP

## Prerequirements

### Same Network
The Virtual IP is taking advantage of the vrrp, so the Servers need to reach each other.

### SSH-Key
For ansible to work exchange the SSH-Keys from the Ansible Master to the Ansible managed servers.

## Configuring your Infrastructure
Just adjust the file ./inventory/hosts.ini, with your hosts and variables.

## Installing the Keepalived service
When you have configured everything, just run the Ansible-playbook[configure.yaml].
```sh
ansible-playbook -i [Inventory File] configure.yaml
```

## Removing the Keepalived service
When you want to remove the Keepalived service just run the Ansible-playbook[remove.yaml].
```sh
ansible-playbook -i [Inventory File] remove.yaml
